Package fr.gouv.vitam.common.model

# Class GraphComputeResponse

java.lang.Object
fr.gouv.vitam.common.model.GraphComputeResponse

public class GraphComputeResponse extends Object
Response given when compute graph (Unit/GOT)

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GraphComputeResponse.GraphComputeAction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphComputeResponse()`
  Default constructor
  `GraphComputeResponse(Integer unitCount, Integer gotCount)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorMessage()`
  `Integer`
  `getGotCount()`
  Getter
  `Integer`
  `getUnitCount()`
  Getter
  `GraphComputeResponse`
  `increment(GraphComputeResponse graphComputeResponse)`
  Increment unit and got count from given graphComputeResponse
  `GraphComputeResponse`
  `increment(GraphComputeResponse.GraphComputeAction graphComputeAction, int count)`
  Increment unit of got count
  `void`
  `setErrorMessage(String errorMessage)`
  `GraphComputeResponse`
  `setGotCount(Integer gotCount)`
  Setter
  `GraphComputeResponse`
  `setUnitCount(Integer unitCount)`
  Setter

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GraphComputeResponse

    public GraphComputeResponse()
    Default constructor

  - ### GraphComputeResponse

    public GraphComputeResponse(Integer unitCount, Integer gotCount)
    Constructor
    Parameters:
      `unitCount` -
      `gotCount` -

- ## Method Details

  - ### increment

    public GraphComputeResponse increment(GraphComputeResponse.GraphComputeAction graphComputeAction, int count)
    Increment unit of got count
    Parameters:
      `graphComputeAction` -
      `count` -
    Returns:
      GraphComputeResponse

  - ### increment

    public GraphComputeResponse increment(GraphComputeResponse graphComputeResponse)
    Increment unit and got count from given graphComputeResponse
    Parameters:
      `graphComputeResponse` -
    Returns:
      GraphComputeResponse

  - ### getUnitCount

    public Integer getUnitCount()
    Getter
    Returns:
      unitCount

  - ### setUnitCount

    public GraphComputeResponse setUnitCount(Integer unitCount)
    Setter
    Parameters:
      `unitCount` -
    Returns:
      GraphComputeResponse

  - ### getGotCount

    public Integer getGotCount()
    Getter
    Returns:
      gotCount

  - ### setGotCount

    public GraphComputeResponse setGotCount(Integer gotCount)
    Setter
    Parameters:
      `gotCount` -
    Returns:
      GraphComputeResponse

  - ### getErrorMessage

    public String getErrorMessage()

  - ### setErrorMessage

    public void setErrorMessage(String errorMessage)